@if (loginPageService.componentData$ | async; as componentData) {
  <div
    class="full-height full-width flex-column login-page neutral-background-color overflow-hidden"
    [sqtmCoreWorkspace]="'home-workspace'"
  >
    <sqtm-core-horizontal-logout-bar
      class="flex-fixed-size full-width"
      [squashVersion]="componentData.squashVersion"
    ></sqtm-core-horizontal-logout-bar>
    @if (componentData.isH2) {
      <div
        [attr.data-test-element-id]="'h2-warning'"
        class="flex-fixed-size h2-warning full-width m-t-30 p-10"
      >
        <i
          nz-icon
          class="sqtm-core-icon h2-warning-icon"
          nzType="info-circle"
          nzTheme="twotone"
          [nzTwotoneColor]="'#FF0000'"
        ></i>
        <span
          [innerHTML]="'sqtm-core.home-workspace.h2-warning' | translate"
        ></span>
      </div>
    }
    <div
      class="login-form flex-fixed-size m-t-100 p-30 container-background-color container-border"
    >
      <form [formGroup]="form">
        <sqtm-app-login-form
          [pending]="pending"
          [showLoginError]="componentData.showLoginError"
          [parent]="form"
          (submit)="handleLogin()"
        ></sqtm-app-login-form>
      </form>
    </div>
    @if (
      componentData.isOpenIdConnectPluginInstalled &&
      componentData.oAuth2ProviderNames.length > 0
    ) {
      <div class="oidc-provider-block">
        <span>{{ 'sqtm-core.home-workspace.login.oidc' | translate }}</span>
        <form class="form-signin oidc-form" th:action="@{/login}" method="post">
          @for (provider of componentData.oAuth2ProviderNames; track provider) {
            <div>
              <button
                nz-button
                [attr.data-test-button-id]="
                  'oidc-submit-login-form-' + provider
                "
                id="oidc-submit-login-form-{{ provider }}"
                type="button"
                nzSize="default"
                class="ant-btn oidc-provider-btn"
                (click)="handleClick(provider)"
              >
                @if (hasProviderLogo(provider)) {
                  <div>
                    <i
                      nz-icon
                      class="oidc-idp-logo"
                      nzType="sqtm-core-login-providers:{{ provider }}"
                    ></i>
                  </div>
                } @else {
                  <i
                    nz-icon
                    class="oidc-idp-logo"
                    nzType="sqtm-core-login-providers:login"
                  ></i>
                }
                <span style="margin: auto; text-transform: capitalize">{{
                  formatProviderName(provider)
                }}</span>
              </button>
            </div>
          }
        </form>
      </div>
    }
    <div class="overflow-hidden welcome-message-wrapper full-height m-b-50">
      @if (componentData.loginMessage) {
        <div
          class="welcome-message container-background-color container-border p-30"
          [attr.data-test-element-id]="'login-message'"
          style="overflow-y: auto"
          [innerHTML]="componentData.loginMessage | safeRichContent"
        ></div>
      }
    </div>
  </div>
}
